#include "utils/print.h"
#include "utils/asm.h"
#include "utils/pic.h"
#include "utils/8042.h"
#include "boot/multiboot.h"

extern char  *name_addr;

void bringelle(){
  clear();
  printc("Booting Bringelle...\n",GREEN);
  pic_enable_interrupt();

  // Search for bootloader informations
  MBI_TAG_BL_NAME bl_infos;
  if(!mb_load_bl_name(&bl_infos)){
    print(bl_infos.name);
    print(" detected!\n");
  }

  while(1);
}

void clock(){
  static int tic=0;
  static int sec=0;
  tic++;
  if(tic>=20){
    tic=0;
    sec++;
  }
}
